API referenceEndpoints
Search companies
API reference for GET /api/v1/search/companies: search Homie's company catalog by name, industry or headquarters location.
GET /api/v1/search/companiesSearch the company catalog by name, industry, or headquarters location.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
q | string | yes | Free-text query. |
page | number | no | 1-based page number. Default 1. |
limit | number | no | 1-50, default 20. |
Example
curl -H "Authorization: Bearer $KEY" \"https://app.usehomie.com/api/v1/search/companies?q=stripe&limit=5"Response
{
"data": [
{
"id": "company_...",
"name": "Stripe",
"companyId": "stripe",
"industry": "Financial Services",
"headquartersLocation": "San Francisco, California",
"minSize": 5001,
"maxSize": 10000,
"logoUrl": "https://..."
}
],
"totalCount": 1,
"totalPages": 1,
"currentPage": 1
}Search people
API reference for GET /api/v1/search/people: substring search across first- and second-degree people in your organization's network.
MCP server overview
Connect Claude, Cursor, Codex and other AI assistants to your Homie network through the Model Context Protocol to find people, companies and warm paths.